<div>
    <h2 id="page-heading">
        <span>Case Activities</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-case-activity" [routerLink]="['/case-activity/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Case Activity
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="caseActivities?.length === 0">
        <span>No caseActivities found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="caseActivities && caseActivities.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Case Instance Id</span></th>
                    <th scope="col" ><span>Event</span></th>
                    <th scope="col" ><span>Remark</span></th>
                    <th scope="col" ><span>Created By</span></th>
                    <th scope="col" ><span>Updated By</span></th>
                    <th scope="col" ><span>Created At</span></th>
                    <th scope="col" ><span>Updated At</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let caseActivity of caseActivities ;trackBy: trackId">
                    <td><a [routerLink]="['/case-activity', caseActivity.id, 'view']">{{ caseActivity.id }}</a></td>
                    <td>{{ caseActivity.caseInstanceId }}</td>
                    <td>{{ caseActivity.event }}</td>
                    <td>{{ caseActivity.remark }}</td>
                    <td>{{ caseActivity.createdBy }}</td>
                    <td>{{ caseActivity.updatedBy }}</td>
                    <td>{{ caseActivity.createdAt | date:'medium' }}</td>
                    <td>{{ caseActivity.updatedAt | date:'medium' }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/case-activity', caseActivity.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/case-activity', caseActivity.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(caseActivity)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
